/*
// File:		MessageDlg.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#pragma once
#include "afxwin.h"

/*!
// @class	CMessageDlg
// @brief	Message dialog class.
*/
class CMessageDlg : public CDialog
{
// Construction
public:
	CMessageDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MESSAGE_DIALOG };

	/*!
	// @brief	Addes string to attachments list 
	//
	// @param	inNewStr - string for adding to list
	*/
	void AddString(CString inNewStr);

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

private:
	CStringArray mAttachmentList;

// Implementation
protected:
	virtual BOOL OnInitDialog();
	// Generated message map functions

	DECLARE_MESSAGE_MAP()
public:
	CString mFrom;
	CString mTo;
	CString mCC;
	CString mMessage;
	CString mSubject;
	CListBox mAttachments;
};
