/*
// File:		Pop3Callback.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2006 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __POP3CALLBACK_HPP__
#define __POP3CALLBACK_HPP__

#include <EmaiPOP3.hpp>

class Pop3Callback : public Emai::Pop3StatusCallback
{

	virtual EmaiError					OnOperation(
												Emai::Pop3Session& inSession,
												EmaiUint32 inOperationCode);

	virtual EmaiError					OnDataReceived(
												Emai::Pop3Session& inSession,
												EmaiUint32 inReceivedSize,
												EmaiUint32 inTotalSize);
	virtual EmaiError					OnServerError(
												Emai::Pop3Session& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};


#endif /*__POP3CALLBACK_HPP__*/
